Summary:	KDE Frameworks 5 SANE module
Name:		libksane
Version:	17.08.2
Release:	1
Epoch:		2
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	sane-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 SANE module, a KDE interface for SANE library to control
flat scanner.

%files
%{_kde5_iconsdir}/hicolor/*/actions/black-white.png
%{_kde5_iconsdir}/hicolor/*/actions/color.png
%{_kde5_iconsdir}/hicolor/*/actions/gray-scale.png

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE SANE library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE SANE library translations

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5sane_major 5
%define libkf5sane %mklibname kf5sane %{kf5sane_major}

%package -n %{libkf5sane}
Summary:	KDE Frameworks 5 SANE shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5sane}
KDE Frameworks 5 SANE shared library.

%files -n %{libkf5sane}
%{_kde5_libdir}/libKF5Sane.so.%{kf5sane_major}*

#-----------------------------------------------------------------------------

%define devkf5sane %mklibname kf5sane -d

%package -n %{devkf5sane}
Summary:	Development files for KDE Frameworks 5 SANE module
Group:		Development/KDE and Qt
Requires:	%{libkf5sane} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5sane-devel = %{EVRD}
Obsoletes:	%{name}-devel < 2:16.08.1

%description -n %{devkf5sane}
Development files for KDE Frameworks 5 SANE module.

%files -n %{devkf5sane}
%{_kde5_includedir}/KF5/KSane
%{_kde5_includedir}/KF5/ksane_version.h
%{_kde5_libdir}/cmake/KF5Sane
%{_kde5_libdir}/libKF5Sane.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.08.2-1
- (80f3263) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (cbce20a) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (02ed03c) Add i18n subpackage
- (Andrey Bondrov: 1d25a89) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (851b190) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (51f162b) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (a589853) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (98cc05e) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-2
- (fd79996) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (a725c2b) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-2
- (8cff994) MassBuild#1169: Increase release tag

* Thu Sep 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-1
- (dfead91) New version 16.08.1
- (dfead91) Switch to Qt5/KF5

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (2428945) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (14aca94) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (c33b09c) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (30bbc2e) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (9747653) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (aa9cd7a) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (6bd99dd) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (3c32a07) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (6b58465) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (3717d1f) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (02e4596) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (5ac1855) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (886448a) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.4-1
- (dfc24c7) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.3-1
- (91230c1) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.2-1
- (89e5f8f) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.1-1
- (ebf8a2d) New version 4.9.1

* Mon Aug 13 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.0-1
- (2aa1a09) New version 4.9.0


